package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.TeachModeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

//课酬结算工具类
public class SalarySettlementDto {

	@ApiModelProperty(value = "签到时间",required = false)
	private Date signInTime;

	@ApiModelProperty(value = "签退时间")
	private Date signOutTime;

	@ApiModelProperty(value = "课程开始时间",required = false)
	private Date courseStartTime;

	@ApiModelProperty(value = "课程结算时间")
	private Date courseEndTime;

	private TeachModeEnum teachModeEnum;

	public Date getSignInTime() {
		return signInTime;
	}

	public void setSignInTime(Date signInTime) {
		this.signInTime = signInTime;
	}

	public Date getSignOutTime() {
		return signOutTime;
	}

	public void setSignOutTime(Date signOutTime) {
		this.signOutTime = signOutTime;
	}

	public Date getCourseStartTime() {
		return courseStartTime;
	}

	public void setCourseStartTime(Date courseStartTime) {
		this.courseStartTime = courseStartTime;
	}

	public Date getCourseEndTime() {
		return courseEndTime;
	}

	public void setCourseEndTime(Date courseEndTime) {
		this.courseEndTime = courseEndTime;
	}

	public TeachModeEnum getTeachModeEnum() {
		return teachModeEnum;
	}

	public void setTeachModeEnum(TeachModeEnum teachModeEnum) {
		this.teachModeEnum = teachModeEnum;
	}
}
